#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h"
#pragma managed

#include "ICollisionConfiguration.h"
using namespace System;

namespace BulletCLI 
{
    public ref class DefaultCollisionConstructionInfo
    {
    private:
        btDefaultCollisionConstructionInfo* m_p;
    internal:
        virtual btDefaultCollisionConstructionInfo* GetPtr(){return m_p;}
    };
    public ref class DefaultCollisionConfiguration : public ICollisionConfiguration
	{
	private:
		btDefaultCollisionConfiguration* m_p;
	internal:
		virtual btCollisionConfiguration* GetPtr() override {return m_p;}
	public:
		DefaultCollisionConfiguration();
        DefaultCollisionConfiguration(DefaultCollisionConstructionInfo^ constructionInfo);
		virtual ~DefaultCollisionConfiguration();
		!DefaultCollisionConfiguration();
	};
}